import { ConfigService } from '@nestjs/config';
export declare class DiditService {
    private readonly configService;
    private readonly http;
    constructor(configService: ConfigService);
    getDefaultKycWorkflowId(): string | undefined;
    getDefaultKycCallbackUrl(): string | undefined;
    createSession(payload: Record<string, any>): Promise<any>;
    getSession(sessionId: string): Promise<any | null>;
}
